header {
  background: linear-gradient(to right, rgb(81 12 117), rgb(53 33 174));
  background-size: cover;
}

.header-grid__block {
  display: flex;
  max-width: 1890px;
  margin-left: auto;
  margin-right: auto;
  /* justify-content: space-between; */
  align-items: center;
}

.header__logo {
  margin: 25px 60px;

  .header__logo-link {
    .header__logo-img {
      width: 199.9px;
      height: auto;
      object-fit: cover;
    }
  }

  .header__logo-menu {
    display: none;
  }
}

.header__page {
  max-width: 1140px;
  padding-right: 7.5px;
  padding-left: 7.5px;

  div.container {
    padding: 0;
  }

  .navbar {
    padding: 0 0 0 20px;

    .navbar-nav {
      .nav-item {
        margin: 20px 15px 10px;

        .nav-link {
          color: #a0a2a1;
          position: relative;
          transition: all 0.25s ease;
          padding: 10px 0 15px;
          font-size: 1.07rem;
        }

        &.active {
          .nav-link {
            color: #0798d4;
            border-bottom: 3px solid #0798d4;
          }
        }

        &:hover {
          .nav-link {
            color: #0798d4;
          }
        }
      }
    }
  }
}

.header__right {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-right: 50px;
  margin-left: auto;

  .header__search-input {
    display: flex;
    width: 82%;
    color: #a0a2a1;
    justify-content: flex-end;
    align-items: center;

    input {
      width: 94%;
      height: 35px;
      margin-right: 10px;
      border-radius: 5px;
    }

    .header__search-icon {
      font-size: 1.2rem;
    }
  }

  .header__right-list {
    display: flex;
    align-items: center;

    .header__right-list-item {
      margin: 0 15px;
    }

    .header__right-list-link {
      color: #a0a2a1;
    }
  }
}

.header__user {
  position: relative;
  margin-right: 15px;

  .header__user-list {
    display: none;
    position: absolute;
    background-color: #ffffff;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
    border-radius: 8px;
    right: 0px;
    top: 57px;
    z-index: 1;

    .header__user-list-item {
      .header__user-list-link {
        display: flex;
        align-items: center;
        padding: 10px 37px 10px 17px;

        img {
          width: 32px;
          height: auto;
          margin-right: 10px;
          object-fit: cover;
        }

        p {
          font-weight: 400;
          font-size: 1.05rem;
          line-height: 20px;
          color: #3b3b3b;
          min-width: 85px;
        }
      }

      &:not(:last-child) {
        border-bottom: 1px solid #dbdbdb;
      }
    }

    &::before {
      content: "";
      position: absolute;
      border: 6px solid #ffffff;
      width: 6px;
      transform: rotate(45deg);
      right: 5px;
      top: -3px;
    }
  }

  &:hover {
    .header__user-list {
      display: block;
    }
  }

  &::after {
    content: "";
    position: absolute;
    border-bottom: 35px solid transparent;
    width: 163px;
    bottom: -15px;
    right: 0px;
  }
}

@media (max-width: 1690px) {
  .header__logo {
    margin: 25px;

    .header__logo-link {
      .header__logo-img {
        width: 165px;
      }
    }
  }

  .header__page {
    .navbar {
      .navbar-nav {
        .nav-item {
          margin: 20px 10px 10px;
        }
      }
    }
  }
}

@media (max-width: 1200px) {
  .header__logo {
    margin: 25px 20px;
  }

  .header__page {
    max-width: 960px;

    .navbar {
      padding: 0;

      .navbar-nav {
        .nav-item {
          margin: 15px 8px 10px;

          .nav-link {
            font-size: 1rem;
          }
        }
      }
    }
  }

  .header__right {
    margin-right: 0;

    .header__right-list {
      .header__right-list-item {
        margin: 0 10px;
      }

      .header__right-list-link {
        font-size: 1rem;
      }
    }
  }
}

@media (max-width: 991.98px) {
  .header__logo {
    margin: 18px 40px;
    display: flex;
    justify-content: space-between;
    width: 100%;

    .header__logo-link {
      .header__logo-img {
        width: 160px;
        height: auto;
      }
    }

    .header__logo-menu {
      display: block;
    }
  }

  .header__page {
    display: none;
  }

  .header__right {
    display: none;
  }
}

@media (max-width: 767.98px) {
  .header__logo {
    margin: 15px 30px;

    .header__logo-link {
      .header__logo-img {
        width: 145px;
      }
    }

    .header__logo-menu {
      img {
        width: 16px;
      }
    }
  }
}

@media (max-width: 578px) {
  .header__logo {
    margin: 12px 25px;
  }
}

@media (max-width: 500px) {
  .header__logo {
    .header__logo-link {
      .header__logo-img {
        width: 135px;
      }
    }

    .header__logo-menu {
      img {
        width: 15px;
        height: auto;
      }
    }
  }
}

@media (max-width: 430px) {
  .header__logo {
    margin: 10px 15px;

    .header__logo-link {
      .header__logo-img {
        width: 110px;
      }
    }
  }
}
